Subject: Re: Fw: Welcome to the InterNAT...

From: Paul Vixie <[email-masked]>
Date: 01 Apr 2003 01:44:37 +0000

> > heck, TCP breaks if you change an address out from under it, so it's
> > hardly surprising that apps using TCP break under similar conditions.
> ...
> hosts could advertise static loopback addresses. Bind TCP to the
> static loopback address.

we do this.  however, it only works inside a routing domain of a /32 (or /128)
route.  in our case we can move hosts anywhere we want within what i think is
being called here a "site", without changing dns or upsetting tcp.  (i often
move my laptop from location to location within the routing domain, without
having to restart any of my suspended tcp sessions.  once we even moved a 
server from redwood city to palo alto, since it was alone on its UPS.)

injecting /32 (or /128) routes into the internet core to make tcp portability
work world wide seems like it wouldn't scale very well.
-- 
Paul Vixie